=== debian/changelog ===
nvidia-cuda-toolkit (9.2.148-7) unstable; urgency=medium

  * Use debianize.patch to customize paths etc. in nvcc.profile and the
    wrappers nsight and nvvp to avoid missing upstream changes.
  * d/control: Use substvars to generalize handling of [arch] restrictions.
  * nvidia-cuda-dev: Add dependency on libnvidia-ml1.  (Closes: #924484)
  * Replace embedded javascript libraries with dependencies on
    libjs-html5shiv, libjs-jquery.
  * Deduplicate images in documentation.
  * Fix install location of examples.

 -- Andreas Beckmann <anbe@debian.org>  Fri, 22 Mar 2019 01:46:16 +0100

nvidia-cuda-toolkit (9.2.148-6) unstable; urgency=medium

  * Restore strict libcuda1 dependency.  (Closes: #919647)
  * Drop Breaks+Replaces against packages predating jessie.

 -- Andreas Beckmann <anbe@debian.org>  Thu, 07 Feb 2019 01:08:16 +0100

nvidia-cuda-toolkit (9.2.148-5) unstable; urgency=medium

  * Fix nvidia-openjdk-8-jre version number customization.
  * Adjust libcuda1 dependency relaxation.

 -- Andreas Beckmann <anbe@debian.org>  Sun, 13 Jan 2019 13:41:13 +0100

nvidia-cuda-toolkit (9.2.148-4) unstable; urgency=medium

  * New upstream CUDA 9.2 Patch 1 (Aug 6, 2018).
    - This update includes performance improvements to cuBLAS GEMM APIs and
      bug fixes for CUPTI and cuda-gdb.
  * d/rules: Add infrastructure for downloading, unpacking and installing
    patch releases.
    - Patch releases are handled as additional component tarballs.
    - The upstream release version number is not adjusted (only a few shared
      libraries bump their filename).
  * Update Lintian overrides.

 -- Andreas Beckmann <anbe@debian.org>  Sat, 12 Jan 2019 17:46:38 +0100

nvidia-cuda-toolkit (9.2.148-3) unstable; urgency=medium

  * Merge changes from 9.1.85-8.
  * Switch to debhelper-compat (= 12).
  * Relax the libcuda1 dependency to start the transition in unstable while
    the required driver is still in experimental.
  * Upload to unstable.

 -- Andreas Beckmann <anbe@debian.org>  Tue, 08 Jan 2019 22:51:52 +0100

nvidia-cuda-toolkit (9.2.148-2) experimental; urgency=medium

  * Merge changes from 9.1.85-7.
  * A ppc64el release is now available.

 -- Andreas Beckmann <anbe@debian.org>  Tue, 11 Dec 2018 21:30:36 +0100

nvidia-cuda-toolkit (9.2.148-1) experimental; urgency=medium

  * New upstream release 9.2 Update 1 (amd64 only).
  * nvidia-opencl-dev: Add Breaks: nvidia-libopencl1 for a smoother transition
    to ocl-icd-opencl-dev.
  * Bump Standards-Version to 4.1.5 (no changes needed).

 -- Andreas Beckmann <anbe@debian.org>  Wed, 18 Jul 2018 21:42:36 +0200

nvidia-cuda-toolkit (9.2.88-1) experimental; urgency=medium

  * New upstream release 9.2 (May 2018).  (Closes: #899343, #900183)
  * d/copyright: Synchronize with updated EULA.txt.
  * SOVERSION bump: 9.1 => 9.2, rename all library packages.
  * Refresh patches.
  * Update Lintian overrides.
  * Bump Standards-Version to 4.1.4 (no changes needed).
  * Add gcc-7 and clang-5.0 as supported compiler alternatives.
    (Closes: #892415)
  * d/rules: Simplify shifting around the unpacked contents.
  * Upload to experimental.

 -- Andreas Beckmann <anbe@debian.org>  Fri, 15 Jun 2018 18:07:24 +0200
