## nvidia-cuda-toolkit 10.0.130

=== debian/changelog ===
nvidia-cuda-toolkit (10.0.130-3) experimental; urgency=medium

  * Merge changes from 9.2.148-7.
  * Generalize the get-orig-source target.
  * Prepare support for having a different SOVERSION in the core libraries
    (libcudart and friends) than in the application libraries.
  * Generalize nsight-compute packaging.

 -- Andreas Beckmann <anbe@debian.org>  Fri, 22 Mar 2019 23:35:42 +0100

nvidia-cuda-toolkit (10.0.130-2) experimental; urgency=medium

  * Rename uuid(3) to CUDA_uuid(3) to avoid manpage conflict with uuid-dev,
    thanks to Cédric Dufour.  (Closes: #921533)

 -- Andreas Beckmann <anbe@debian.org>  Fri, 08 Feb 2019 15:51:50 +0100

nvidia-cuda-toolkit (10.0.130-1) experimental; urgency=medium

  * New upstream release 10.0 (Sept 2018).  (Closes: #909497)
  * d/copyright: Synchronize with updated EULA.txt.
  * SOVERSION bump: 9.2 => 10.0, rename all library packages.
  * libnvjpeg10.0: New package for the nvJPEG library.
  * nsight-compute: New package for NVIDIA Nsight Compute.
  * Install new headers.
  * Update symbols control files.
  * Add clang-6.0 as supported compiler alternative.
  * Refresh patches.
  * man-typos.patch: Fix more misspellings.
  * Update Lintian overrides.
  * Upload to experimental.

 -- Andreas Beckmann <anbe@debian.org>  Tue, 15 Jan 2019 13:21:01 +0100
