=== debian/control ===
--- 
+++ 
@@ -12,6 +12,12 @@
  libncurses5,
  libexpat1 [ppc64el],
  hardlink [amd64],
+# for nsight-compute
+ libglvnd-dev [!ppc64el],
+ libnspr4-dev [!ppc64el],
+ libnss3-dev [!ppc64el],
+ libpulse-dev [!ppc64el],
+ chrpath [!ppc64el],
 # for nvidia-openjdk-8-jre
  libasound2 [amd64],
  libgl1 [amd64],
@@ -33,13 +39,14 @@
  nvidia-profiler (= ${binary:Version}),
  nvidia-cuda-dev (= ${binary:Version}),
  nvidia-opencl-dev (= ${binary:Version}) | opencl-dev,
- gcc-7 | clang-5.0 | clang-4.0 | clang-3.9 | clang-3.8 | clang (<< 1:6~) | gcc-6 | gcc-5 | gcc-4.9 | gcc-4.8,
- g++-7 | clang-5.0 | clang-4.0 | clang-3.9 | clang-3.8 | clang (<< 1:6~) | g++-6 | g++-5 | g++-4.9 | g++-4.8,
+ gcc-7 | clang-6.0 | clang-5.0 | clang-4.0 | clang-3.9 | clang-3.8 | clang (<< 1:7~) | gcc-6 | gcc-5 | gcc-4.9 | gcc-4.8,
+ g++-7 | clang-6.0 | clang-5.0 | clang-4.0 | clang-3.9 | clang-3.8 | clang (<< 1:7~) | g++-6 | g++-5 | g++-4.9 | g++-4.8,
  ${shlibs:Depends}, ${misc:Depends},
 Recommends:
  nvidia-cuda-doc (= ${source:Version}),
  nvidia-cuda-gdb (= ${binary:Version}),
  nvidia-visual-profiler (= ${binary:Version}) [${cuda:arch:has-java}],
+ nsight-compute (= ${binary:Version}) [${cuda:arch:has-nsight-compute}],
 Suggests:
  libcupti-dev,
  nvidia-driver (>= ${nvidia:MinVersion}) [${cuda:arch:has-driver}],
@@ -96,8 +103,8 @@
 Section: non-free/devel
 Architecture: amd64 ppc64el
 Depends:
- libaccinj64-${cuda:SoVersion},
- libcuinj64-${cuda:SoVersion},
+ libaccinj64-${cudart:SoVersion},
+ libcuinj64-${cudart:SoVersion},
  ${shlibs:Depends}, ${misc:Depends}
 Suggests:
  nvidia-cuda-toolkit,
@@ -156,14 +163,30 @@
  debug and profile CUDA-C applications.
  Nsight Eclipse Edition supports a rich set of commercial and free plugins.
 
+Package: nsight-compute
+Section: non-free/devel
+Architecture: amd64
+Depends:
+ libjs-html5shiv,
+ libjs-jquery,
+ ${shlibs:Depends}, ${misc:Depends}
+Homepage: https://developer.nvidia.com/nsight-compute
+Description: NVIDIA Nsight Compute
+ NVIDIA Nsight Compute is an interactive kernel profiler for CUDA applications.
+ It provides detailed performance metrics and API debugging via a user
+ interface and command line tool. In addition, its baseline feature allows
+ users to compare results within the tool. Nsight Compute provides a
+ customizable and data-driven user interface and metric collection and can be
+ extended with analysis scripts for post-processing results.
+
 Package: nvidia-cuda-dev
 Section: non-free/libdevel
 Architecture: amd64 ppc64el
 Depends:
- libaccinj64-${cuda:SoVersion} (= ${binary:Version}),
- libcudart${cuda:SoVersion} (= ${binary:Version}),
- libcuinj64-${cuda:SoVersion} (= ${binary:Version}),
- libnvrtc${cuda:SoVersion} (= ${binary:Version}),
+ libcudart${cudart:SoVersion} (= ${binary:Version}),
+ libaccinj64-${cudart:SoVersion} (= ${binary:Version}),
+ libcuinj64-${cudart:SoVersion} (= ${binary:Version}),
+ libnvrtc${cudart:SoVersion} (= ${binary:Version}),
  libnvtoolsext1 (= ${binary:Version}),
  libnvvm3 (= ${binary:Version}),
  libcublas${cuda:SoVersion} (= ${binary:Version}),
@@ -186,6 +209,7 @@
  libnppitc${cuda:SoVersion} (= ${binary:Version}),
  libnpps${cuda:SoVersion} (= ${binary:Version}),
  libnvgraph${cuda:SoVersion} (= ${binary:Version}),
+ libnvjpeg${cuda:SoVersion} (= ${binary:Version}) [!ppc64el],
  libnvidia-ml1 (>= ${nvidia:MinVersion}) [${cuda:arch:has-driver}],
  libthrust-dev,
  ${misc:Depends}
@@ -221,7 +245,7 @@
  .
  This metapackage provides the development files: headers and libraries.
 
-Package: libcudart9.2
+Package: libcudart10.0
 Architecture: amd64 ppc64el
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
@@ -238,7 +262,7 @@
  This package contains the CUDA Runtime API library for high-level CUDA
  programming, on top of the CUDA Driver API.
 
-Package: libaccinj64-9.2
+Package: libaccinj64-10.0
 Architecture: amd64 ppc64el
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
@@ -252,7 +276,7 @@
  .
  This package contains the 64-bit ACCINJ runtime library.
 
-Package: libcuinj64-9.2
+Package: libcuinj64-10.0
 Architecture: amd64 ppc64el
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
@@ -266,7 +290,7 @@
  .
  This package contains the 64-bit CUINJ runtime library.
 
-Package: libnvrtc9.2
+Package: libnvrtc10.0
 Architecture: amd64 ppc64el
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
@@ -308,29 +332,8 @@
  .
  This package contains the NVIDIA NVVM runtime library.
 
-Package: libcupti9.2
-Architecture: amd64 ppc64el
-Multi-Arch: same
-Pre-Depends: ${misc:Pre-Depends}
-Depends: ${shlibs:Depends}, ${misc:Depends}
-Homepage: https://developer.nvidia.com/cuda-profiling-tools-interface
-Description: NVIDIA CUDA Profiler Tools Interface runtime library
- The CUDA Profiler Tools Interface (CUPTI) enables the creation of
- profiling and tracing tools that target CUDA applications.  CUPTI
- provides a set of APIs targeted at ISVs creating profilers and other
- performance optimization tools. The CUPTI APIs are not intended to be
- used by developers in their CUDA applications.
- .
- This package contains the runtime library.
-
-Package: libcupti-dev
-Section: non-free/libdevel
-Architecture: amd64 ppc64el
-Multi-Arch: same
-Depends: libcupti${cuda:SoVersion} (= ${binary:Version}), ${misc:Depends}
-Recommends: libcupti-doc
-Homepage: https://developer.nvidia.com/cuda-profiling-tools-interface
-Description: NVIDIA CUDA Profiler Tools Interface development files
- The CUDA Profiler Tools Interface (CUPTI) enables the creation of
- profiling and tracing tools that target CUDA applications.  CUPTI
- provides a set of APIs targeted at ISVs creating profilers and other
+Package: libcupti10.0
+Architecture: amd64 ppc64el
+Multi-Arch: same
+Pre-Depends: ${misc:Pre-Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends}
