=== debian/rules ===
--- 
+++ 
@@ -25,6 +25,8 @@
 OPENJDK_VERSION		?= $(or $(strip $(shell nvidia-cuda/jre/bin/java -version 2>&1 | sed -rn '1s/.*"1\.([0-9]*)\.0_(.*)"/\1u\2/p')),$(error empty OPENJDK_VERSION))
 CUDA_JAVA_HOME		?= /usr/lib/jvm/nvidia-java-8-openjdk-$(DEB_HOST_ARCH)
 jre_pkg			?= $(filter nvidia-openjdk-8-jre,$(PACKAGE_LIST))
+thrust_pkg		?= $(filter libthrust-dev,$(PACKAGE_LIST))
+nsight_compute_pkg	?= $(filter nsight-compute,$(PACKAGE_LIST))
 
 package_libcuda1 \
 	= libcuda1 (>= $${nvidia:MinVersion}) \
@@ -38,8 +40,10 @@
 
 TEMPLATES	:= $(wildcard debian/*.in debian/patches/*.in)
 SOVERTEMPLATES	:= $(wildcard debian/*SOVER*)
+RTSOVERTEMPLATES:= $(wildcard debian/*SORTVER*)
 AUTOGEN		+= $(patsubst %.in,%,$(TEMPLATES))
 AUTOGEN		+= $(subst SOVER,$(CUDA_SOVERSION),$(sort $(patsubst %.in,%,$(SOVERTEMPLATES))))
+AUTOGEN		+= $(subst SORTVER,$(CUDART_SOVERSION),$(sort $(patsubst %.in,%,$(RTSOVERTEMPLATES))))
 AUTOGEN		+= debian/g++
 AUTOKEEP	 = debian/watch
 AUTOCLEAN	 = $(filter-out $(AUTOKEEP),$(AUTOGEN))
@@ -51,32 +55,23 @@
 prepare: autogen unpack-stamp compare-copyright-license
 
 
-nvidia-cuda-amd64:
+define nvidia-cuda-unpack-run
 	dh_testdir
 	$(RM) -r $@ $@.tmp
-	sh $(CUDA_FILENAME.amd64) --noexec --keep --target $@.tmp
+	sh $(CUDA_FILENAME.$1) --noexec --keep --target $@.tmp
 	mv $@.tmp $@
-
-nvidia-cuda-amd64-patch1: | nvidia-cuda-amd64
-	dh_testdir
-	$(RM) -r $@ $@.tmp
-	sh amd64-patch1/$(CUDA_FILENAME.amd64-patch1) --noexec --keep --target $@.tmp
-	mv $@.tmp/payload/cuda-linux64-mixed-rel-nightly/* $@.tmp/
-	$(RM) -v $@.tmp/install_patch.pl
-	$(RM) -v $@.tmp/payload/install_manifest
-	mv $@.tmp $@
-	for f in $$(cd $@ && find . ! -type d) ; do test -e $</$$f || echo "new file in $@: $$f" ; done
-
-nvidia-cuda-ppc64el:
+endef
+
+define nvidia-cuda-unpack-deb
 	dh_testdir
 	$(RM) -r $@ $@.tmp
 	mkdir $@.tmp
-	@set -e -x ; for deb in ppc64el/cuda*.deb ; do dpkg -x $$deb $@.tmp/ubuntutree ; done
+	@set -e -x ; for deb in $1/cuda*.deb ; do dpkg -x $$deb $@.tmp/ubuntutree ; done
 	mv $@.tmp/ubuntutree/usr/local/cuda*/* $@.tmp/
 	$(RM) -r $@.tmp/ubuntutree/usr/lib/pkgconfig
 	$(RM) -r $@.tmp/ubuntutree/usr/share/doc
 	$(RM) -r $@.tmp/ubuntutree/usr/share/lintian
-	$(RM) -v $@.tmp/ubuntutree/etc/ld.so.conf.d/cuda-$(subst .,-,$(CUDA_SOVERSION)).conf
+	$(RM) -v $@.tmp/ubuntutree/etc/ld.so.conf.d/cuda-$(subst .,-,$(CUDART_SOVERSION)).conf
 	$(RM) -v $@.tmp/bin/computeprof
 	$(RM) -v $@.tmp/LICENSE
 	$(RM) -v $@.tmp/README
@@ -85,29 +80,15 @@
 	mv $@.tmp/targets/ppc64le-linux/include $@.tmp/include
 	mv $@.tmp/targets/ppc64le-linux/lib $@.tmp/lib64
 	mv $@.tmp $@
-
-nvidia-cuda-ppc64el-patch1: | nvidia-cuda-ppc64el
-	dh_testdir
-	$(RM) -r $@ $@.tmp
-	mkdir $@.tmp
-	@set -e -x ; for deb in ppc64el-patch1/cuda*.deb ; do dpkg -x $$deb $@.tmp/ubuntutree ; done
-	mv $@.tmp/ubuntutree/usr/local/cuda*/* $@.tmp/
-	$(RM) -r $@.tmp/ubuntutree/usr/lib/pkgconfig
-	$(RM) -r $@.tmp/ubuntutree/usr/share/doc
-	$(RM) -r $@.tmp/ubuntutree/usr/share/lintian
-	$(RM) -v $@.tmp/ubuntutree/etc/ld.so.conf.d/cuda-$(subst .,-,$(CUDA_SOVERSION)).conf
-	$(RM) $@.tmp/include $@.tmp/lib64
-	mv $@.tmp/targets/ppc64le-linux/include $@.tmp/include
-	mv $@.tmp/targets/ppc64le-linux/lib $@.tmp/lib64
-	mv $@.tmp $@
-	for f in $$(cd $@ && find . ! -type d) ; do test -e $</$$f || echo "new file in $@: $$f" ; done
+endef
+
+nvidia-cuda-tree-%:
+	$(call nvidia-cuda-unpack-$(CUDA_TAR_TYPE.$*),$*)
 
 unpack-stamp: $(filter debian/patches%,$(AUTOGEN))
-unpack-stamp: nvidia-cuda-$(DEB_HOST_ARCH)
-unpack-stamp: $(foreach patch,$(CUDA_PATCH_LIST_ARCH),nvidia-cuda-$(DEB_HOST_ARCH)-$(patch))
-	$(RM) nvidia-cuda $(foreach patch,$(CUDA_PATCH_LIST_ARCH),nvidia-cuda-$(patch))
-	ln -sf nvidia-cuda-$(DEB_HOST_ARCH) nvidia-cuda
-	$(foreach patch,$(CUDA_PATCH_LIST_ARCH),ln -sf nvidia-cuda-$(DEB_HOST_ARCH)-$(patch) nvidia-cuda-$(patch) ; )
+unpack-stamp: nvidia-cuda-tree-$(DEB_HOST_ARCH)
+	$(RM) nvidia-cuda
+	ln -sf nvidia-cuda-tree-$(DEB_HOST_ARCH) nvidia-cuda
 	QUILT_PATCHES=debian/patches QUILT_SERIES=series-postunpack quilt --quiltrc /dev/null push -a || test $$? = 2
 	touch $@
 
@@ -140,9 +121,8 @@
 
 build-stamp: unpack-stamp
 	$(RM) -r build
-	cp -al nvidia-cuda-$(DEB_HOST_ARCH)/ build
-	$(foreach patch,$(CUDA_PATCH_LIST_ARCH),cp -al nvidia-cuda-$(patch)/* build/ ; )
-	$(cleanup-after-merging-patches-into-build/$(CUDA_VERSION_TOOLKIT))
+	cp -al nvidia-cuda-tree-$(DEB_HOST_ARCH)/ build
+	test ! -d build/NsightCompute-$(NSIGHT_COMPUTE_VERSION) || mv build/NsightCompute-$(NSIGHT_COMPUTE_VERSION) build/NsightCompute
 	# fix permissions
 	chmod -x build/bin/crt/link.stub
 	chmod -x build/bin/crt/prelink.stub
@@ -157,11 +137,14 @@
 	$(RM) -v build/jre/lib/amd64/libavplugin-53.so
 	$(RM) -v build/jre/lib/amd64/libavplugin-54.so
 endif
+	# uuid(3) is already provided by uuid-dev
+	mv -v build/doc/man/man3/uuid.3 build/doc/man/man3/CUDA_uuid.3
 	# remove tracking scripts
 	find build \( -name google-analytics-tracker.js -o -name google-analytics-write.js -o -name tynt.js \) -exec rm -v {} +
 	# remove tracking images
 	find \
 		build/doc/html \
+		$(if $(nsight_compute_pkg),build/NsightCompute/html) \
 	    -name '*.html' -exec sed -r -i \
 		-e '\,http://omniture.nvidia.com/b/ss/nvidiacudadocs/1/H.17--NS/0, { s,(<noscript>),<!-- \1,; s,img src,img DISABLED,; s,(</noscript>),\1 -->, }' \
 		-e 's,(<script type="text/javascript" )src(="http://w.sharethis.com/button/buttons.js"[^>]*></script>),<!-- \1DISABLED\2 -->,' \
@@ -184,3 +167,39 @@
 	mkdir build/libnsight/plugins-arch
 	mv build/libnsight/plugins/org.eclipse.equinox.launcher.gtk.linux.* build/libnsight/plugins-arch/
 	mkdir build/libnvvp/plugins-arch
+	mv build/libnvvp/plugins/org.eclipse.equinox.launcher.gtk.linux.* build/libnvvp/plugins-arch/
+ifneq (,$(nsight_compute_pkg))
+	# clean up nsight-compute
+	chrpath -d build/NsightCompute/host/$(NSIGHT_COMPUTE_DESKTOP_DIR.$(DEB_HOST_ARCH))/libicu*.so.56
+endif
+	touch $@
+
+override_dh_auto_configure: $(AUTOGEN) unpack-stamp
+
+override_dh_auto_build-arch: build-stamp
+
+override_dh_auto_build-indep: build-stamp
+ifeq (,$(thrust_pkg))
+	$(RM) -r build/include/thrust
+endif
+
+override_dh_auto_install:
+	mkdir debian/tmp
+	cp -al build/ debian/tmp/usr
+
+override_dh_installdocs-indep:
+	dh_installdocs -pnvidia-cuda-doc --doc-main-package=nvidia-cuda-toolkit
+	dh_installdocs --remaining-packages
+
+override_dh_installman:
+	dh_installman --language=C
+
+override_dh_missing:
+	dh_missing --fail-missing
+
+override_dh_makeshlibs:
+	dh_makeshlibs -X/stubs/
+
+override_dh_shlibdeps:
+	$(RM) -r libcuda
+	mkdir libcuda
